;;; DO NOT MODIFY THIS FILE
(if (featurep 'edebug-autoloads) (error "Already loaded"))

;;;### (autoloads nil "_pkg" "edebug/_pkg.el")

(package-provide 'edebug :version 1.14 :type 'regular)

;;;***

;;;### (autoloads (edebug-eval-top-level-form def-edebug-spec) "edebug" "edebug/edebug.el")

(defcustom edebug-all-defs nil "*If non-nil, evaluation of any defining forms will instrument for Edebug.\nThis applies to `eval-defun', `eval-region', `eval-buffer', and\n`eval-current-buffer'.  `eval-region' is also called by\n`eval-last-sexp', and `eval-print-last-sexp'.\n\nYou can use the command `edebug-all-defs' to toggle the value of this\nvariable.  You may wish to make it local to each buffer with\n(make-local-variable 'edebug-all-defs) in your\n`emacs-lisp-mode-hook'." :type 'boolean :group 'edebug)

(defcustom edebug-all-forms nil "*Non-nil evaluation of all forms will instrument for Edebug.\nThis doesn't apply to loading or evaluations in the minibuffer.\nUse the command `edebug-all-forms' to toggle the value of this option." :type 'boolean :group 'edebug)

(autoload 'def-edebug-spec "edebug" "\
Set the edebug-form-spec property of SYMBOL according to SPEC.
Both SYMBOL and SPEC are unevaluated. The SPEC can be 0, t, a symbol
\(naming a function), or a list." nil 'macro)

(defalias 'edebug-defun 'edebug-eval-top-level-form)

(autoload 'edebug-eval-top-level-form "edebug" "\
Evaluate a top level form, such as a defun or defmacro.
This is like `eval-defun', but the code is always instrumented for Edebug.
Print its name in the minibuffer and leave point where it is,
or if an error occurs, leave point after it with mark at the original point." t nil)

;;;***

(provide 'edebug-autoloads)
